tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From André Warnier ...@ice-sa.com>
Subject Re: [OT] Apache httpd prefork versus worker MPM
Date Sat, 18 Jul 2009 10:42:41 GMT
Christopher Schultz wrote:
...
Hi Chris.
My 0.02 €.

I have been using both the prefork and worker versions of Apache 2.2, 
along with mod_jk.
As far as I can tell, there is no problem in that respect with mod_jk.
However, the threaded (worker) version may give you problems if, 
somewhere maybe deep down, there is a piece of software running under 
Apache, that is not thread-safe.
It very much depends thus on what you really use at the Apache side.
I have only had a couple of problems in the past because I am also 
running mod_perl under Apache, and some older perl modules sometimes 
make use of some older C libraries which are (or were) not thread-safe.
I have not had any trouble with any of the standard Apache modules.
I seem to remember that there might be (or might have been) some issues 
when using SSL.  But I'm not quite sure how long ago that was, and if it 
is still an issue currently under Debian Lenny.




---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message